> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/network-services/cross-connect/api-how-tos/update-cross-connect.md).

# Update a Cross Connect

{% hint style="info" %}
**Prerequisite:** Only contract administrators, owners, and users with **createPcc** privilege can create and manage Cross Connects via the API. You can also set User privileges in the DCD. For more information, see [<mark style="color:blue;">Set User Privileges for Cross Connect</mark>](/cloud/network-services/cross-connect/how-tos/set-privileges-cross-connect.md).
{% endhint %}

To modify a Cross Connect via the API, perform a `PATCH` request with the **ID** of the respective Cross Connect.

## Request

```bash
   curl --location 
   --request PATCH 'https://api.ionos.com/cloudapi/v6/pccs/b229-d5df-4b97-bb23-e8b3' \
   --header 'Content-Type: application/json' \
   --header 'Authorization: Basic <auth-token>' \
   --data ' {
        "name": "My resource1",
        "description": "Cross Connect between datacenter '\''E'\'' and datacenter '\''B'\'' "
}
'
```

## Response

**202 Successful operation**

```json
{
    "id": "b229-d5df-4b97-bb23-e8b3",
    "type": "pcc",
    "href": "https://api.ionos.com/cloudapi/v6/pccs/b229-d5df-4b97-bb23-e8b3",
    "metadata": {
        "createdDate": "2023-10-11T13:29:16Z",
        "createdBy": "abc@ionos.com",
        "etag": "9913a87deffc",
        "lastModifiedDate": "2023-10-12T06:06:36Z",
        "lastModifiedBy": "abc@ionos.com",
        "state": "BUSY"
    },
    "properties": {
        "name": "My resource1",
        "description": "Cross Connect between datacenter 'E' and datacenter 'B' ",
        "peers": [],
        "connectableDatacenters": [
            {
                "id": "40ea-d887-4819-809b-41c6",
                "name": "Berlin-W1",
                "location": "de/txl"
            },
            {
                "id": "1ee4-7065-51ad-8yd6-cecf",
                "name": "VMAS",
                "location": "de/txl"
            },
            {
                "id": "12v2-7a56-4228-8990-b9fa",
                "name": "Berlin-W2",
                "location": "de/txl"
            }
        ]
    }
}
```

For more information about the request and response fields, see [<mark style="color:blue;">Partially modify Cross Connects</mark>](https://api.ionos.com/docs/cloud/v6/#tag/Cross-Connects/operation/pccsPatch).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/network-services/cross-connect/api-how-tos/update-cross-connect.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
